import React from 'react';
import { PhaseBanner } from '.';
export default {
  component: PhaseBanner,
  title: 'Phase Banner',
  parameters: {
    actions: {
      argTypesRegex: '^on.*'
    },
    layout: 'fullscreen'
  }
};
export var Default = function Default(props) {
  return /*#__PURE__*/React.createElement(PhaseBanner, props);
};
export var Beta = function Beta() {
  return /*#__PURE__*/React.createElement(PhaseBanner, {
    phase: "beta"
  });
};
Beta.storyName = 'Beta';
export var CustomLink = function CustomLink() {
  return /*#__PURE__*/React.createElement(PhaseBanner, {
    link: "#"
  });
};
CustomLink.storyName = 'Custom link';
export var CustomText = function CustomText() {
  return /*#__PURE__*/React.createElement(PhaseBanner, null, "Custom html can go here. ", /*#__PURE__*/React.createElement("strong", null, "This part is in bold!"));
};
CustomText.storyName = 'Custom text';
export var FullWidth = function FullWidth() {
  return /*#__PURE__*/React.createElement(PhaseBanner, {
    isFullWidth: true
  });
};
FullWidth.storyName = 'Full width';